#### D.15.4.23 difformDeg

Procedure from library `difform.lib` (see difform_lib).

Usage:
  deg(df); df difform

Return:
  degree of df - degree of the highest generator, -1 if df = 0

Note:
  - the procedure does not check if df is homogeneous
  - be careful: difformDeg does not cast polynomials to differential forms. So before applying to a polynomial, a type cast should be done

Example:

    LIB "difform.lib";
    ring R = 0,(x,y,z),ds;
    diffAlgebra();
    ==> // The differential algebra Omega_R was constructed and the differential \
       forms dDx, dDy, dDz, dx, dy, dz are available.
    /////////////////////////
    // Degree computations //
    /////////////////////////
    deg(3*dx - x8*dx*dy);
    ==> 2
    deg(3 + x8*dy);
    ==> 1
    // When applying homog to a polynomial which is considered
    // as a differential form, a type cast has to be done first
    deg(x2-y);
    ==> 2
    difform df = x2-y;
    deg(df);
    ==> 0
    kill Omega_R,df,dx,dy,dz;

See also: difformIsHomog; difformIsHomogDeg.

User manual for Singular version 4.4.1, 2025, generated by texi2html.